POST V1/CustomerSupport.{ext}/DownloadTicketEmail?emailGuid={emailGuid}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
emailGuid

No description available

string

Required

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.Inventory.Entities.MailDetails
NameDescriptionTypeAdditional information
server

server

string

None.

emailId

email id

string

None.

password

password

string

None.

noOfMails

no of mails

integer

None.

serverProtocal

server protocol

string

None.

UIDL

UIDL

string

None.

Attachment

Attachment

string

None.

TicketNumber

TicketNumber

string

None.

Request Formats

application/json, text/json

Sample:
{
  "server": "sample string 1",
  "emailId": "sample string 2",
  "password": "sample string 3",
  "noOfMails": 4,
  "serverProtocal": "sample string 5",
  "uidl": "sample string 6",
  "attachment": "sample string 7",
  "ticketNumber": "sample string 8"
}

application/xml, text/xml

Sample:
<MailDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.Inventory.Entities">
  <Attachment>sample string 7</Attachment>
  <TicketNumber>sample string 8</TicketNumber>
  <UIDL>sample string 6</UIDL>
  <emailId>sample string 2</emailId>
  <noOfMails>4</noOfMails>
  <password>sample string 3</password>
  <server>sample string 1</server>
  <serverProtocal>sample string 5</serverProtocal>
</MailDetails>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Inventory.Entities.CustomerEmails
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Inventory.Entities.CustomerEmails

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "CustomerEmails",
  "response": {
    "customerEmailsList": [
      {
        "emailBody": "sample string 1",
        "emailSubject": "sample string 2",
        "loginId": "sample string 3",
        "profileImageType": "sample string 4",
        "aging": "sample string 5",
        "emailUniqueId": "sample string 6",
        "senderEmail": "sample string 7",
        "senderName": "sample string 8",
        "clients": [
          {
            "clientId": 1,
            "clientName": "sample string 2"
          },
          {
            "clientId": 1,
            "clientName": "sample string 2"
          }
        ],
        "emailType": "sample string 9",
        "emailImportance": "sample string 10",
        "receivedDate": "sample string 11",
        "userId": 12,
        "imageExists": true,
        "createdUserName": "sample string 14",
        "emailBodyMain": "sample string 15",
        "createdDate": "sample string 16",
        "emailGuid": "sample string 17"
      },
      {
        "emailBody": "sample string 1",
        "emailSubject": "sample string 2",
        "loginId": "sample string 3",
        "profileImageType": "sample string 4",
        "aging": "sample string 5",
        "emailUniqueId": "sample string 6",
        "senderEmail": "sample string 7",
        "senderName": "sample string 8",
        "clients": [
          {
            "clientId": 1,
            "clientName": "sample string 2"
          },
          {
            "clientId": 1,
            "clientName": "sample string 2"
          }
        ],
        "emailType": "sample string 9",
        "emailImportance": "sample string 10",
        "receivedDate": "sample string 11",
        "userId": 12,
        "imageExists": true,
        "createdUserName": "sample string 14",
        "emailBodyMain": "sample string 15",
        "createdDate": "sample string 16",
        "emailGuid": "sample string 17"
      }
    ],
    "emailsCount": 1,
    "senderUnIdentifiedEmailsCount": 2,
    "highPriorityEmailsCount": 3
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.